////////////////////////////////////////////////////////////////////////////////////////////
// LEDMulti.c - plik gwny programu obsugi multipleksowanego wywietlacza LED
//     przeznaczenie: "Programowanie procesorw w jzyku C (EdW)"
//
// Autor: Radosaw Koppel          Kompilator: WinAVR 20050214
////////////////////////////////////////////////////////////////////////////////////////////
// Komenta dodatkowy: 
//   Program wywietlajcy jedynk na pierwszym wywietlaczu. 
//   Poprawiono nieprawidowy zapis z poprzedniego kodu. 
//
/////////////////////////////////////////////////////////////////////////////////////////////
#include <avr\io.h>

// Definicje wyprowadze
#define LED_A 0
#define LED_B 1
#define LED_C 2
#define LED_D 3
#define LED_E 4
#define LED_F 5
#define LED_G 6
#define LED_DP 7
#define LEDPORT PORTB
#define LEDDDR DDRB
#define COM1 6
#define COM2 5
#define COM3 4
#define COM4 3
#define COMPORT PORTD
#define COMDDR DDRD

int main(void)
{
	/////////////////////////////
	// inicjacja
	LEDDDR = 0xff; 
	COMDDR = 1<<COM1 | 1<<COM2 | 1<<COM3 | 1<<COM4; 
	// koniec inicjacji
	/////////////////////////////
	
	COMPORT = ~(1<<COM1); 
	LEDPORT = ~(1<<LED_B | 1<<LED_C); 

	return 0; 
}
